<?php 

function wpf_authority_customizer_register( $wp_customize ) {
   
 
$wp_customize->get_setting( 'blogname' )->transport = 'postMessage';

////////////////////////////   
// theme option panel
///////////////////////////
   
$wp_customize->add_panel( 'wpf_authority_theme_option', array(
    'title' => __('Theme Options', 'wpf-authority'),
    'description' => __('Change theme settings from below like logo,banner,colors, social, footer texts etc', 'wpf-authority'),
    'priority' => 10,
) );
   

///////////////////
// logo section 
////////////////////


$wp_customize->add_section( 'wpf_authority_logo_favicon_section' , array(
    'title'      => __( 'Logo & Favicon', 'wpf-authority' ),
	'panel' => 'wpf_authority_theme_option',
) );


// logo settings
$wp_customize->add_setting( 'wpf_authority_logo_uploader' , array(
	'default'     => '',
	'sanitize_callback' => 'esc_url_raw',
) );


$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'wpf_authority_logo_uploader', array(
	'label'        => __( 'Upload Your Logo. Best size: Width: 215px, Height: 66px', 'wpf-authority' ),
	'section'    => 'wpf_authority_logo_favicon_section',
	'settings'   => 'wpf_authority_logo_uploader',
) ) );



// favicon settings
$wp_customize->add_setting( 'wpf_authority_favicon_uploader' , array(
	'default'     => '',
	'sanitize_callback' => 'esc_url_raw',
) );


$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'wpf_authority_favicon_uploader', array(
	'label'        => __( 'Upload Your Favicon (16x x 16x).', 'wpf-authority' ),
	'section'    => 'wpf_authority_logo_favicon_section',
	'settings'   => 'wpf_authority_favicon_uploader',
) ) );


///////////////////////////
// Banner section 
////////////////////////

$wp_customize->add_section( 'wpf_authority_banner_section' , array(
    'title'      => __( 'Banner Title', 'wpf-authority' ),
	'panel' => 'wpf_authority_theme_option',
) );


// Banner Title

$wp_customize->add_setting( 'wpf_authority_banner_title' , array(
	'default'     => '',
	'transport' => 'postMessage',
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'wpf_authority_banner_title', array(
	'label'        => __( 'Put Banner Title.', 'wpf-authority' ),
	'section'    => 'wpf_authority_banner_section',
	'settings'   => 'wpf_authority_banner_title',
) ) );


/////////////////////////
// Theme Color section
/////////////////////////

$wp_customize->add_section( 'wpf_authority_theme_color_section' , array(
    'title'      => __( 'Theme Color', 'wpf-authority' ),
	'panel' => 'wpf_authority_theme_option',
) );


// main color settings
$wp_customize->add_setting( 'wpf_authority_theme_color' , array(
	'default'     => '#ca3643',
	'sanitize_callback' => 'sanitize_hex_color',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpf_authority_theme_color', array(
	'label'        => __( 'Select Theme Color', 'wpf-authority' ),
	'section'    => 'wpf_authority_theme_color_section',
	'settings'   => 'wpf_authority_theme_color',
) ) );




////////////////////
// Footer section
////////////////////

$wp_customize->add_section( 'wpf_authority_footer_section' , array(
    'title'      => __( 'Footer Setting', 'wpf-authority' ),
	'panel' => 'wpf_authority_theme_option',
) );


// footer text 

$wp_customize->add_setting( 'wpf_authority_footer_text' , array(
	'default'     => 'Footer Text',
	'sanitize_callback' => 'sanitize_text_field',
	'transport' => 'postMessage',
) );


$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'wpf_authority_footer_text', array(
	'label'        => __( 'Put your footer text here.', 'wpf-authority' ),
	'section'    => 'wpf_authority_footer_section',
	'settings'   => 'wpf_authority_footer_text',
) ) );



// footer Social links


// facebook
$wp_customize->add_setting( 'wpf_authority_footer_social_facebook' , array(
	'default'     => '',
	'sanitize_callback' => 'esc_url_raw',
) );


$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'wpf_authority_footer_social_facebook', array(
	'label'        => __( 'Facebook url', 'wpf-authority' ),
	'section'    => 'wpf_authority_footer_section',
	'settings'   => 'wpf_authority_footer_social_facebook',
) ) );

//twitter
$wp_customize->add_setting( 'wpf_authority_footer_social_twitter' , array(
	'default'     => '',
	'sanitize_callback' => 'esc_url_raw',
) );


$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'wpf_authority_footer_social_twitter', array(
	'label'        => __( 'Twitter url', 'wpf-authority' ),
	'section'    => 'wpf_authority_footer_section',
	'settings'   => 'wpf_authority_footer_social_twitter',
) ) );


//google+ 
$wp_customize->add_setting( 'wpf_authority_footer_social_googleplus' , array(
	'default'     => '',
	'sanitize_callback' => 'esc_url_raw',
) );


$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'wpf_authority_footer_social_googleplus', array(
	'label'        => __( 'Google+ url', 'wpf-authority' ),
	'section'    => 'wpf_authority_footer_section',
	'settings'   => 'wpf_authority_footer_social_googleplus',
) ) );


//youtube 
$wp_customize->add_setting( 'wpf_authority_footer_social_youtube' , array(
	'default'     => '',
	'sanitize_callback' => 'esc_url_raw',
) );


$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'wpf_authority_footer_social_youtube', array(
	'label'        => __( 'Youtube url', 'wpf-authority' ),
	'section'    => 'wpf_authority_footer_section',
	'settings'   => 'wpf_authority_footer_social_youtube',
) ) );


//linkedin 
$wp_customize->add_setting( 'wpf_authority_footer_social_linkin' , array(
	'default'     => '',
	'sanitize_callback' => 'esc_url_raw',
) );


$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'wpf_authority_footer_social_linkin', array(
	'label'        => __( 'LinkedIn url', 'wpf-authority' ),
	'section'    => 'wpf_authority_footer_section',
	'settings'   => 'wpf_authority_footer_social_linkin',
) ) );


   
}

add_action( 'customize_register', 'wpf_authority_customizer_register' );





function wpf_authority_customize_css()
{	
	
	if( get_header_image() ):
    ?>
         <style type="text/css">
             #imgbanner{ background-image: url("<?php echo esc_url( get_header_image() ); ?>") !important;}
         </style>
    <?php
	endif;
	
	//theme color scheme
	$theme_color = '<style type="text/css">
	
	
.search_form form input[type=submit]{
  background-color: '.get_theme_mod('wpf_authority_theme_color').';
  color: #fff;
}

.navbar-brand span,.credit_links a{
  color: '.get_theme_mod('wpf_authority_theme_color').';
}
.sticky_post,.sticky{border-bottom:2px solid '.get_theme_mod('wpf_authority_theme_color').';}

.navbar-default .navbar-nav > li > a:hover,.navbar-default .navbar-nav > li > a:focus{
  color: '.get_theme_mod('wpf_authority_theme_color').';  
}
.navbar-default .navbar-nav > .active > a, .navbar-default .navbar-nav > .active > a:hover, .navbar-default .navbar-nav > .active > a:focus {
  color: '.get_theme_mod('wpf_authority_theme_color').';
}
.navbar-default .navbar-nav > .open > a, .navbar-default .navbar-nav > .open > a:hover, .navbar-default .navbar-nav > .open > a:focus {
  color: '.get_theme_mod('wpf_authority_theme_color').';
  background: none;
}
.dropdown-menu > li > a:hover,.dropdown-menu > li > a:focus{  
  color: '.get_theme_mod('wpf_authority_theme_color').';
}

.testimonial_content blockquote:before,.dropdown-menu>.active>a, .dropdown-menu>.active>a:focus, .dropdown-menu>.active>a:hover {
  background-color: '.get_theme_mod('wpf_authority_theme_color').';
}  
.service_icon:hover{
  color: '.get_theme_mod('wpf_authority_theme_color').';
}
.read_more:hover{
  color: '.get_theme_mod('wpf_authority_theme_color').';
  border-bottom: 1px dotted '.get_theme_mod('wpf_authority_theme_color').';
}
.howworks_featured .media-left:hover{
  color: '.get_theme_mod('wpf_authority_theme_color').'; 
}
.featured_btn:hover,.featured_btn:focus{
  background-color: '.get_theme_mod('wpf_authority_theme_color').';
  border:1px solid '.get_theme_mod('wpf_authority_theme_color').';  
}
.price_badge {
  background: none repeat scroll 0 0 '.get_theme_mod('wpf_authority_theme_color').';
}

.single_footer_top ul li a:hover{
  color: '.get_theme_mod('wpf_authority_theme_color').';
}
.contact_mail p>span,.contact_mail p>a, .navbar-header .logo-text , .navbar-header .navbar-brand:hover,.navbar-header .navbar-brand:focus,.navbar-header .navbar-brand:active{
  color: '.get_theme_mod('wpf_authority_theme_color').';
}
.single_footer_middle>h2:hover{
  color: '.get_theme_mod('wpf_authority_theme_color').';
}
.social_nav li a:hover{
  border-color: '.get_theme_mod('wpf_authority_theme_color').';
  color: '.get_theme_mod('wpf_authority_theme_color').';
}
#banner h2,.bio_title strong {
  color: '.get_theme_mod('wpf_authority_theme_color').';
}
.imgedit_heading .panel-title > a, #cancel-comment-reply-link, .single_footer_top a {
  color: '.get_theme_mod('wpf_authority_theme_color').';
}
.expand_icon {
  background-color: '.get_theme_mod('wpf_authority_theme_color').';
}
.imgedit_panel .panel-default {  
  border-color: '.get_theme_mod('wpf_authority_theme_color').';
}
.imgedit_contactinfo p>a, .author_lebel{
  color: '.get_theme_mod('wpf_authority_theme_color').';
}
.term_cond_info>a{
  color:'.get_theme_mod('wpf_authority_theme_color').';
}
.manual_btn {
  background-color: '.get_theme_mod('wpf_authority_theme_color').';
}
.support_btn{
  background-color: '.get_theme_mod('wpf_authority_theme_color').';
}
.submitphot_content > p>span{
  color: '.get_theme_mod('wpf_authority_theme_color').';
}
.archiveblog_right > h2 a{
  color: '.get_theme_mod('wpf_authority_theme_color').';
}
.post_commentbox a:hover, .post_commentbox span:hover{
  color:'.get_theme_mod('wpf_authority_theme_color').'; 
}
.pagination li a,.comment_navigation a.page-numbers,.page-links a{
  color: '.get_theme_mod('wpf_authority_theme_color').';
}
.pagination li a:hover,.pagination li a:focus,.comment_navigation a.page-numbers:hover,.comment_navigation a.page-numbers:focus{
  background-color: '.get_theme_mod('wpf_authority_theme_color').';
}
.single_sidebar > h2 {
  border-bottom: 2px dashed '.get_theme_mod('wpf_authority_theme_color').';
  color: '.get_theme_mod('wpf_authority_theme_color').';
}
.single_sidebar ul li a:hover{
  color:'.get_theme_mod('wpf_authority_theme_color').'; 
}
.catg_nav li > a:hover{
  color: '.get_theme_mod('wpf_authority_theme_color').';
}
.tags_nav li a:hover,.tags_nav li a:focus,.tagcloud a:hover, .tagcloud a:focus{
  background-color:'.get_theme_mod('wpf_authority_theme_color').';
}
.archiveblog_right h1,.archiveblog_right h2,.archiveblog_right h3,.archiveblog_right h4,.archiveblog_right h5,.archiveblog_right h6{
  color:'.get_theme_mod('wpf_authority_theme_color').'; 
}

.next_nav,.previous_nav{
  background-color: '.get_theme_mod('wpf_authority_theme_color').';
  color:#ffffff;
}
.next_nav:hover,.previous_nav:hover {

  color: '.get_theme_mod('wpf_authority_theme_color').';
  background-color:#F0F0F0;
}

.slick-dots li.slick-active button:before {
  border: 2px solid '.get_theme_mod('wpf_authority_theme_color').';
}
.price_nav li:hover .price_heading{
    background-color: '.get_theme_mod('wpf_authority_theme_color').';
} 
.price_nav li:hover .price_img_inner{
    border: 2px solid '.get_theme_mod('wpf_authority_theme_color').';
} 
.price_nav li:hover .price_img_inner{
    border: 2px solid '.get_theme_mod('wpf_authority_theme_color').';
} 
.price_nav li:hover .price_count{
    background-color:  '.get_theme_mod('wpf_authority_theme_color').';
}
.price_nav li:hover .get_button{
    background-color:  '.get_theme_mod('wpf_authority_theme_color').';
    border-color: '.get_theme_mod('wpf_authority_theme_color').';
}
.slides-pagination a {
  border: 2px solid '.get_theme_mod('wpf_authority_theme_color').';
}
.slider_caption > h2 span{ 
  color: '.get_theme_mod('wpf_authority_theme_color').'; 
}
.slider_btn {
  border: 1px solid '.get_theme_mod('wpf_authority_theme_color').';  
}
.slider_btn:hover,.slider_btn:focus{
  color: '.get_theme_mod('wpf_authority_theme_color').';  
}
.slick-slide:hover .team_name{
  color: '.get_theme_mod('wpf_authority_theme_color').';
}
.team_social a:hover{
  color: '.get_theme_mod('wpf_authority_theme_color').';
  border-color: '.get_theme_mod('wpf_authority_theme_color').';
}
.wpcf7-submit,#respond .form-submit #submit {
  background-color: '.get_theme_mod('wpf_authority_theme_color').';
}  
.wpcf7-submit:hover,#respond .form-submit #submit:hover{
  background-color: #fff; 
  color:'.get_theme_mod('wpf_authority_theme_color').';
}
.similar_post h2>i, #respond #commentform #form-allowed-tags code{
  color: '.get_theme_mod('wpf_authority_theme_color').';
}	
	
	
	
	</style>';
	
	echo $theme_color;
}
add_action( 'wp_head', 'wpf_authority_customize_css');


/**
 * This outputs the javascript needed to automate the live settings preview.
 * Also keep in mind that this function isn't necessary unless your settings 
 * are using 'transport'=>'postMessage' instead of the default 'transport'
 * => 'refresh'
 * 
 * Used by hook: 'customize_preview_init'
 */



function wpf_authority_customizer_live_preview() {
	
	wp_enqueue_script( 'wpf_authority_live_customizer', get_template_directory_uri() . '/js/theme_live_customizer.js', array( 'jquery' ), null, true );	

} 
add_action( 'customize_preview_init', 'wpf_authority_customizer_live_preview' );



?>